Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0034308
TypeCategorySeverityReproducibilityDate SubmittedLast Update
design defect[Openbravo ERP] 09. Financial managementmajoralways2016-10-26 22:032016-12-16 18:39
ReporteregoitzView Statuspublic 
Assigned ToAtulOpenbravo 
PriorityurgentResolutionfixedFixed in Version3.0PR17Q1
StatusclosedFix in branchFixed in SCM revision9129ff0ef022
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toaferraz
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0034308: low performance when Opening the Balance Sheet and P&L infraestructure

DescriptionThe filter page to execute the balance sheet and p&l infrestructure takes long to be loaded .
Steps To ReproduceOpen the filter window on an environment with a concrete amount of data.

CONTACT SUPPORT(ECA) FOR A TESTING ENVIRONMENT.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0091784)
aferraz (developer)
2016-11-24 14:24

Moved to design defect as window behavior should be changed: Organization and Year combo values should be loaded when changing Accounting Report and Organization combo values respectively, instead of loading them when opening the window.
(0091793)
AtulOpenbravo (developer)
2016-11-24 17:53

Test Plan
- Login as F&B International Group Admin
- Open Balance Sheet and P&L Structure
- Check General Ledger is set with default value, Accounting Report, Organisation and Year Combo is blank.
- Select value in Accounting Report, check that Organisation combo has values in it. Check that Year combo is blank.
- Select value in Organisation combo, check that year combo is loaded with values in it.
- Set Accounting Report combo blank, check that Organisation and year combo are blank.
(0092402)
hgbot (developer)
2016-12-15 10:03

Repository: erp/devel/pi
Changeset: 9129ff0ef02271675de7a77d873ffd6f273a9004
Author: Atul Gaware <atul.gaware <at> openbravo.com>
Date: Wed Nov 23 22:45:47 2016 +0530
URL: http://code.openbravo.com/erp/devel/pi/rev/9129ff0ef02271675de7a77d873ffd6f273a9004 [^]

Fixes issue 34308: Performance issue in Opening Balance Sheet and P&L Structure

Problem is with loading Organization and Year combo in default method. Now
this Org combos is loaded on change in accounting report and general ledger.
Year combo is loaded on change in Organization selection.

---
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.html
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports.java
M src/org/openbravo/erpCommon/ad_reports/GeneralAccountingReports_data.xsql
---
(0092404)
aferraz (developer)
2016-12-15 10:05

Code review + Testing OK
(0092405)
aferraz (developer)
2016-12-15 10:13

Cost of two problematic queries has been reduced:
selectOrgsDouble: before: 5652.76 - after: 254.55
selectYearsDouble: before: 1571.85 - after: 31.64
(0092719)
hudsonbot (developer)
2016-12-16 18:39

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/dc8bf00badd0 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2016-10-26 22:03 egoitz New Issue
2016-10-26 22:03 egoitz Assigned To => Triage Finance
2016-10-26 22:03 egoitz Modules => Core
2016-10-26 22:03 egoitz Triggers an Emergency Pack => No
2016-10-27 00:52 aferraz Assigned To Triage Finance => AtulOpenbravo
2016-11-24 09:54 AtulOpenbravo Status new => scheduled
2016-11-24 14:14 aferraz Type defect => design defect
2016-11-24 14:24 aferraz Note Added: 0091784
2016-11-24 17:53 AtulOpenbravo Note Added: 0091793
2016-12-15 10:03 hgbot Checkin
2016-12-15 10:03 hgbot Note Added: 0092402
2016-12-15 10:03 hgbot Status scheduled => resolved
2016-12-15 10:03 hgbot Resolution open => fixed
2016-12-15 10:03 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/9129ff0ef02271675de7a77d873ffd6f273a9004 [^]
2016-12-15 10:05 aferraz Review Assigned To => aferraz
2016-12-15 10:05 aferraz Note Added: 0092404
2016-12-15 10:05 aferraz Status resolved => closed
2016-12-15 10:05 aferraz Fixed in Version => 3.0PR17Q1
2016-12-15 10:13 aferraz Note Added: 0092405
2016-12-16 18:39 hudsonbot Checkin
2016-12-16 18:39 hudsonbot Note Added: 0092719


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker